### Function

# FwupdPlugin processor_kind_from_string

#### Declaration [src]

    FuProcessorKind
    fu_processor_kind_from_string (
      const gchar* val
    )

#### Description [src]

Converts a string to an enumerated value.

#### Parameters

`val`

  Type: `const gchar*`

  A string, e.g. `intel-pentium`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuProcessorKind`

Enumerated value.